
import curses

def write_line(scr, ln, string):
	h, w = scr.getmaxyx()
	scr.addstr(ln, 0, string + (" " * (w - max(0, len(string)))))

def ask_menu(scr, options):
	row = 1
	for key, text in options:
		write_line(scr, row, "[%s] %s" % (key, text))
		row = row + 1
	write_line(scr, row, "")
	scr.refresh()
	return chr(scr.getch())

def ask_input(scr, prompt):
	write_line(scr, 1, prompt)
	write_line(scr, 2, "")
	scr.refresh()
	curses.echo()
	answer = scr.getstr(2, 0)
	curses.noecho()
	return answer

